Subject: [PATCH] crypto: allow to assign gfp_t for __crypto_alloc_tfm

From: [email-masked] (Theodore Ts'o)
Date: Tue, 19 May 2015 10:39:04 -0400

On Tue, May 19, 2015 at 10:27:55PM +0800, Herbert Xu wrote:
> On Tue, May 19, 2015 at 10:14:30AM -0400, Theodore Ts'o wrote:
> > 
> > There can be multiple reads going on in parallel, so we're currently
> > creating tfm's as necessary.  In fact one of the things that we've
> 
> A single tfm is fully-reentrant (as long as you don't change the
> key).  So multiple reads/writes on a single file can all use one
> tfm with no locking at all.

Cool, we didn't realize this was the case.  Excellent, this makes life
much simpler for us!  :-)

Thanks,

					- Ted